cURL
curl --request GET \
--url https://api.gptmaker.ai/v2/chat/{chatId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gptmaker.ai/v2/chat/{chatId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gptmaker.ai/v2/chat/{chatId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"userPicture": "<string>",
"fileName": "<string>",
"role": "<string>",
"documentUrl": "<string>",
"type": "<string>",
"userName": "<string>",
"midiaContent": "<string>",
"userId": "<string>",
"audioUrl": "<string>",
"imageUrl": "<string>",
"width": 123,
"id": "<string>",
"text": "<string>",
"time": 123,
"height": 123
}
]{
"error": "<string>"
}{
"error": "<string>"
}Chats
Listar mensagens
Lista as mensagens de um chat
GET
/
v2
/
chat
/
{chatId}
/
messages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do chat
Response
Lista de mensagens
Imagem do usuário
Nome do arquivo
Função no chat
URL do documento
Tipo de mensagem
Nome do usuário
Conteúdo de mídia
ID do usuário
URL do áudio
URL da imagem
Largura da imagem
ID da mensagem
Texto da mensagem
Hora da mensagem
Altura da imagem

